BUNDLE(1)

NAME
bundle - collect files for distribution

SYNOPSIS
bundle file ...

DESCRIPTION
Bundle writes on its standard output a shell script for rc(1) or a Bourne shell which, when executed, will recreate the original files. Its main use is for distributing small numbers of text files by mail(1).

Although less refined than standard archives from 9ar (see 9c(1)) or tar(1), a bundle file is self-documenting and complete; little preparation is required on the receiving machine.

EXAMPLES

bundle mkfile *.[ch] | mail kremvax!boris
    Send a makefile to Boris together with related and files. Upon receiving the mail, Boris may save the file sans postmark, say in gift/horse, then do

cd gift; sh horse; mk

SOURCE
/bin/bundle

SEE ALSO
9ar (in 9c(1)), tar(1), mail(1)

BUGS
Bundle will not create directories and is unsatisfactory for non-text files.

Beware of gift horses.